Register for your free account! | Forgot your password?

You last visited: Today at 16:44

  • Please register to post and access all features, it's quick, easy and FREE!

 

prblem with map

Reply
 
Old   #1
 
elite*gold: 0
Join Date: Nov 2015
Posts: 17
Received Thanks: 0
prblem with map

hi guys

i have a problem with my mimi map

i need to change it from 9.1 to 9.3

You must register and activate your account in order to view images.


help plz

and thnx



chihabanti is offline  
Old   #2
 
elite*gold: 0
Join Date: Dec 2009
Posts: 62
Received Thanks: 8
wheres ur problem ?

Minimap looks fine to me ...

as far as i know they did increase the number of pics (64 old 128 new) i think , but not sure didnt went into 9.3/4 so far ...


fumble2010 is offline  
Old   #3
 
elite*gold: 65
Join Date: Sep 2015
Posts: 312
Received Thanks: 468
I guess on his screen it's a screenshot of the minimap he wants to have, and not already does.

If you want to use the minimap of 9.4, you'll need to use the 9.4 sFrame.
In that case you can maybe ask Xijezu ^^
LamiaCore is offline  
Old   #4


 
elite*gold: 30
Join Date: May 2011
Posts: 4,805
Received Thanks: 3,185
Quote:
Originally Posted by LamiaCore View Post
If you want fo use the minimap of 9.4, you'll need to use the 9.4 sFrame.
In that case you can maybe ask Xijezu ^^
I actually tested around with using the 9.4 SFrame on a 9.1 server, but that's a while ago, so all of this is on what I remember:
Using the 9.4 SFrame on a 9.1 server doesn't work by default. If I'm not mistaken you can't even log in with it properly due to packet changes.
I wrote a small "man-in-the-middle"-program to convert the packet versions from gs to client and client to gs (i.e. the 9.4 sframe uses different packet-ids in some cases), however, fixing all the packets and making sure this system works is a pain. Not impossible, but imho not worth the work either (at least for me).
Maybe @glandu2 would be interested in that?


Xijezu is offline  
Old   #5
 
elite*gold: 0
Join Date: Nov 2015
Posts: 17
Received Thanks: 0
Quote:
Originally Posted by fumble2010 View Post
wheres ur problem ?

Minimap looks fine to me ...

as far as i know they did increase the number of pics (64 old 128 new) i think , but not sure didnt went into 9.3/4 so far ...

no this is not my map

my map is 9.1 but i want to change to 9.4 like the pic

Quote:
Originally Posted by LamiaCore View Post
I guess on his screen it's a screenshot of the minimap he wants to have, and not already does.

If you want fo use the minimap of 9.4, you'll need to use the 9.4 sFrame.
In that case you can maybe ask Xijezu ^^
the idea come to me when i was see your server hhhh

because your map like 9.4 :v
chihabanti is offline  
Old   #6
 
elite*gold: 0
Join Date: Apr 2012
Posts: 453
Received Thanks: 781
Quote:
Originally Posted by Xijezu View Post
I actually tested around with using the 9.4 SFrame on a 9.1 server, but that's a while ago, so all of this is on what I remember:
Using the 9.4 SFrame on a 9.1 server doesn't work by default. If I'm not mistaken you can't even log in with it properly due to packet changes.
I wrote a small "man-in-the-middle"-program to convert the packet versions from gs to client and client to gs (i.e. the 9.4 sframe uses different packet-ids in some cases), however, fixing all the packets and making sure this system works is a pain. Not impossible, but imho not worth the work either (at least for me).
Maybe @glandu2 would be interested in that?
Indeed, the login packet has a new ID.
I have imported all packets structures already and tested them a bit with a man in the middle and checking that every packets are correctly parsed.

I didn't tried every rappelz features but basic ones should be ok.

Doing something to convert the packet version should be easy to do for me as most of the work is on the packet structures and versionning. Currently my sniffer use all the packets only to dump them in json format but this can be extended to rewrite them in another version in binary format (like 9.1 packet from 9.4).

I will try to implement this and post here the result.
glandu2 is offline  
Old   #7
 
elite*gold: 0
Join Date: Nov 2015
Posts: 17
Received Thanks: 0
Quote:
Originally Posted by Xijezu View Post
I actually tested around with using the 9.4 SFrame on a 9.1 server, but that's a while ago, so all of this is on what I remember:
Using the 9.4 SFrame on a 9.1 server doesn't work by default. If I'm not mistaken you can't even log in with it properly due to packet changes.
I wrote a small "man-in-the-middle"-program to convert the packet versions from gs to client and client to gs (i.e. the 9.4 sframe uses different packet-ids in some cases), however, fixing all the packets and making sure this system works is a pain. Not impossible, but imho not worth the work either (at least for me).
Maybe @glandu2 would be interested in that?
i ask ghostinformatique

and i was try to use Sframe 9.3 with pack 9.1 :'(

but .. i failed

because my capitan version 9.1 :'(

i need capitan version 9.2 or 9.3 can u give me him ? plz

Quote:
Originally Posted by glandu2 View Post
Indeed, the login packet has a new ID.
I have imported all packets structures already and tested them a bit with a man in the middle and checking that every packets are correctly parsed.

I didn't tried every rappelz features but basic ones should be ok.

Doing something to convert the packet version should be easy to do for me as most of the work is on the packet structures and versionning. Currently my sniffer use all the packets only to dump them in json format but this can be extended to rewrite them in another version in binary format (like 9.1 packet from 9.4).

I will try to implement this and post here the result.

ok i m waiting the result
chihabanti is offline  
Old   #8
 
elite*gold: 0
Join Date: Apr 2012
Posts: 453
Received Thanks: 781
I successfully ran the 8.3 client on current 9.4 servers. Obviously, new 9.x items were not recognized by the 8.3 client.

The downside of this man in the middle is that you won't be able to have more than 65000 players because of ports limitation, but I guess no one will ever get to this number lol

You will have the stuff in attachment.
/!\ This filter was not tested specifically with all server/client combinations and thus may fail.

You need to change the "client.gamefilter.ip:EXTERNAL_PUBLIC_IP" line in the rzfilter-auth.opt file to the IP the client need to connect on (typically your public internet IP or 127.0.0.1 if you have the client on the same PC as the server)

To start the filters, launch the start_filter_version.bat file (it start both auth and game filters, the auth filter is needed to redirect the client to the game filter).

The following configs in rzfilter-game-version.opt set the client and server version.
Code:
client.epic:0x090400
server.epic:0x090100
So here the client is set to 9.4 and the GS server to 9.1.

Some packets might be wrongly implemented, in this case errors will appear in the logs so if you have issue with weird behavior, post the logs.

For the ones who want to use large version gaps (like epic 2 client on 9.4 server), it won't work because of the big changes in the auth system around epic 8.1.
My packets structure implementation might be obscure but its here for those interrested:
Attached Files
File Type: zip rzfilter-game-version.zip (2.22 MB, 45 views)
glandu2 is offline  
Thanks
5 Users
Old   #9
 
elite*gold: 65
Join Date: Sep 2015
Posts: 312
Received Thanks: 468
Quote:
Originally Posted by chihabanti View Post

the idea come to me when i was see your server hhhh

because your map like 9.4 :v
Lol, my Minimap is still 9.1 ^^
I just edited some graphical details.

Hm, don't know why, but can't even start my hybrid-client without a crash when using 9.4 Sframe xD
(I guess it's a simple reason and I'm just too blind to see it)

Using the original 9.4 Client with the filter let me login into my server-selection, but can't go further.
Gameserver tells me something with unlogined Connection;
If my account-table is named 'Accounts', I get an Error by Auth-Emu btw. Changing to Account solves that Error, but still don't get into character-selection.
Where could my obvious fail be? ô.o

Does the current sFrame start GameGuard on its own? oO
Because it always does - even when I deactivate Gameguard in batchfile.

Well, I feel a bit dumb right now. *lol*
LamiaCore is offline  
Old   #10
 
elite*gold: 0
Join Date: Apr 2012
Posts: 453
Received Thanks: 781
Quote:
Originally Posted by LamiaCore View Post
Lol, my Minimap is still 9.1 ^^
I just edited some graphical details.

Hm, don't know why, but can't even start my hybrid-client without a crash when using 9.4 Sframe xD
(I guess it's a simple reason and I'm just too blind to see it)

Using the original 9.4 Client with the filter let me login into my server-selection, but can't go further.
Gameserver tells me something with unlogined Connection;
If my account-table is named 'Accounts', I get an Error by Auth-Emu btw. Changing to Account solves that Error, but still don't get into character-selection.
Where could my obvious fail be? ô.o

Does the current sFrame start GameGuard on its own? oO
Because it always does - even when I deactivate Gameguard in batchfile.

Well, I feel a bit dumb right now. *lol*
Can you post log files or screenshots ?

I just tried to run the official 9.4 client on 9.1 server via my filter and it worked flawlessly. I can login, choose a character, display inventory and stats, attack mobs, go to the battleground, move, ...

I didn't find any errors yet.
You must register and activate your account in order to view images.
glandu2 is offline  
Old   #11
 
elite*gold: 65
Join Date: Sep 2015
Posts: 312
Received Thanks: 468
Quote:
Originally Posted by glandu2 View Post
Can you post log files or screenshots ?

I just tried tu run the official 9.4 client on 9.1 server via my filter and it worked flawlessly. I can login, choose a character, display inventory and stats, attack mobs, go to the battleground, move, ...

I didn't find any errors yet.
You must register and activate your account in order to view images.
Can't post any screens or logs, because there's nothing I could screen.
The only movement of GS, both filters and Auth is the unlogined connection via Gameserver, so the logfiles are not helpful in that case. :/
Code:
2017-02-17 23:18:02 received message from unlogined connection : 2007(68)
Just thought about if / and \ could make any problems

But it's building the filter-logs normaly, so I don't think it changes anything there.
LamiaCore is offline  
Old   #12
 
elite*gold: 0
Join Date: Apr 2012
Posts: 453
Received Thanks: 781
are you sure you use /auth_port:14500 to use the filter ?
To have more logs you can also add "core.log.level:debug" to the .opt files for the filters.
It will cause the list of packets forwarded via the filters to be printed on the console and logs.
glandu2 is offline  
Thanks
1 User
Old   #13
 
elite*gold: 65
Join Date: Sep 2015
Posts: 312
Received Thanks: 468
Quote:
Originally Posted by glandu2 View Post
are you sure you use /auth_port:14500 to use the filter ?
To have more logs you can also add "core.log.level:debug" to the .opt files for the filters.
It will cause the list of packets forwarded via the filters to be printed on the console and logs.
Quote:
Originally Posted by LamiaCore View Post
Where could my obvious fail be? ô.o

Fail

Forgot to change that....thanks.
Login works fine now.
But is it possible to deactivate gameGuard with that sFrame?
Even with use_nprotect:0 it starts.
LamiaCore is offline  
Old   #14
 
elite*gold: 0
Join Date: Apr 2012
Posts: 453
Received Thanks: 781
Quote:
Originally Posted by LamiaCore View Post
Fail

Forgot to change that....thanks.
Login works fine now.
But is it possible to deactivate gameGuard with that sFrame?
Even with use_nprotect:0 it starts.
I didn't find anything to prevent gameguard from starting. SFrame in-memory strings showed nothing to me that could be used to disable gameguard like use_nprotect.

It seems to be unconditionally enabled now.
glandu2 is offline  
Old   #15
 
elite*gold: 65
Join Date: Sep 2015
Posts: 312
Received Thanks: 468
Quote:
Originally Posted by glandu2 View Post
I didn't find anything to prevent gameguard from starting. SFrame in-memory strings showed nothing to me that could be used to disable gameguard like use_nprotect.

It seems to be unconditionally enabled now.
Hmmm, okay....thanks.

Now I got some errors for you xD

Client is 9.4, Server 9.1.
Now I have some troubles with my body and some other things.


I guess it's because of the different rdbs?
Can I use the 9.1 item.rdb in any way?
Monsterresource, Monstermotionset etc should be useable without problems, but I doubt the item.rdb will be that easy too :s


LamiaCore is offline  
Reply



« Previous Thread | Next Thread »

Similar Threads
Ostermetins Prblem...
Hey, Kann jemand einen Tut machen wie man die Oster Metins in der db einfügen kann im Client hab ich schon alles erledigt... falls ein Tut gibts...
0 Replies - Metin2 PServer - Discussions / Questions
i have prblem plz help me
i have prblem plz help me http://desmond.imageshack.us/Himg827/scaled.php?server=827&filename=59423492.jpg&res=medium
2 Replies - CO2 PServer - Discussions / Questions
prblem mit dem clienten
hi ich habe ien probem und zwar hat die 80 ninja king bei mir das icon von der sura ninja king wieso und ich wollte noch fragen ob einer ein...
1 Replies - Metin2 PServer - Discussions / Questions
warrock prblem^
es öffnet sich nichnt da kommt bei update setup immer wenn ich auf start drück error : cannot find execute file ! ps hab keine hacks und auch...
2 Replies - WarRock
My prblem with sa ( VIDEO )
Hii this is my problém again :'( please watch the video and help me YouTube - ‪Rappelz Privat Server : My Problem !!!‬‏ :mofo:
7 Replies - Rappelz



All times are GMT +1. The time now is 16:44.


Powered by vBulletin®
Copyright ©2000 - 2017, Jelsoft Enterprises Ltd.
SEO by vBSEO ©2011, Crawlability, Inc.

Support | Contact Us | FAQ | Advertising | Privacy Policy | Abuse
Copyright ©2017 elitepvpers All Rights Reserved.